Skip Menu |
 

This queue is for tickets about the PostScript-Report CPAN distribution.

Report information
The Basics
Id: 77299
Status: patched
Priority: 0/
Queue: PostScript-Report

People
Owner: cjm [...] cpan.org
Requestors: ANDK [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 0.10
Fixed in: 0.12



Subject: Fails with MooseX::Types >= 0.34
Download (untitled) / with headers
text/plain 109b
Download (untitled) / with headers
text/plain 155b
I think this is a bug in recent versions of MooseX::Types (starting with 0.32). I've reported it to them: https://rt.cpan.org/Ticket/Display.html?id=77303
Download (untitled) / with headers
text/plain 422b
I was able to find a nasty hack to get PostScript::Report working with MooseX::Types 0.35. (0.32-0.34 still won't work.) If you must have MooseX::Types 0.35 installed, try using https://github.com/madsen/postscript-report/blob/moosex-types/lib/PostScript/Report/Types.pm But I recommend waiting for the MooseX::Types crew to get the bugs worked out of their new code, and sticking with MooseX::Types 0.31 until they do.
Subject: Fails with MooseX::Types >= 0.32
Download (untitled) / with headers
text/plain 185b
Moose 2.0800 resolves the conflict with MooseX::Types >= 0.32. As of version 0.12, PostScript-Report will refuse to install if you have conflicting versions of Moose and MooseX::Types.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.